Sessions list, cursor-paginated. All filters are optional.
JWT Authorization header using Bearer scheme
In: header
Query Parameters
uuiduuid"Pending" | "Dispatching" | "Active" | "Completed" | "Failed" | "Cancelled" | "Timeout"uuid"Agent" | "Uploaded"date-timedate-time20int32Header Parameters
Space to act in. Omit to use the user's default space. Must be a space the user belongs to, otherwise the request is rejected.
uuidResponse Body
application/json
curl -X GET "https://api.speaknode.com/api/Sessions"{
"sessions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"origin": "Agent",
"agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
"agent_title": "string",
"sales_rep_id": "0e469e2d-82f7-433e-be98-3ea753447530",
"sales_rep_name": "string",
"status": "Pending",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"duration_seconds": 0,
"error_message": "string",
"called_by_id": "d4a76b42-6d4d-4dd4-874e-ad84f407c441",
"called_by_name": "string",
"language_id": "e5383c4a-ba2f-4900-a483-8de374094cdf",
"locale_id": "50590343-6693-4a61-8470-c8115d9ddc18",
"language_locale_code": "string",
"live_kit_room_name": "string",
"live_kit_egress_id": "string",
"live_kit_dispatch_id": "string",
"live_kit_job_id": "string",
"transcription_path": "string",
"has_audio": true,
"telecom_provider": "Twilio",
"from_number": "string",
"to_number": "string",
"call_sid": "string",
"test_run_id": "01dbc221-8963-4bd7-8591-4a1f9d286862",
"test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded",
"test_status": "Initial",
"test_eval_result": {
"success": true,
"reasons": [
"string"
],
"completion_reason": "StepsExhausted"
},
"room_metadata": {
"failed": true,
"skip_composite_egress": true,
"error": "string",
"operator_invite": {
"call_id": "0d0a16ab-a508-4d58-bf24-5dc3cb248f3e",
"end_reason": "ClientHangup",
"reason": "string"
},
"client_call": {
"call_id": "0d0a16ab-a508-4d58-bf24-5dc3cb248f3e",
"end_reason": "ClientHangup",
"reason": "string"
}
},
"synthesized_user_tts_version_id": "3eef8062-114c-41ac-8f12-252145456b8d",
"synthesized_user_tts_voice_id": "1ad64ff6-07e8-427e-a354-8d650e0e1736",
"synthesized_user_tts_additional_properties": [
{
"name": "string",
"value": null
}
],
"synthesized_audio_path": "string",
"synthesized_hangfire_job_id": "string",
"session_token": "string",
"history": [
{
"role": "System",
"content": "string",
"kind": "Message",
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"interrupted": true,
"metrics": {
"started_speaking_at": "2019-08-24T14:15:22Z",
"stopped_speaking_at": "2019-08-24T14:15:22Z",
"transcription_delay": 0,
"end_of_turn_delay": 0,
"on_user_turn_completed_delay": 0,
"llm_node_ttft": 0,
"tts_node_ttfb": 0,
"e2e_latency": 0,
"transcript_confidence": 0,
"preemptive_used": true,
"preemptive_started_at": "2019-08-24T14:15:22Z",
"preemptive_lead_time": 0,
"llm_ttft": 0,
"llm_duration": 0,
"llm_tokens_completion": 0,
"llm_tokens_prompt": 0,
"llm_tps": 0
},
"tool_name": "string",
"tool_call_id": "string",
"tool_arguments_json": "string",
"tool_output": "string",
"tool_is_error": true,
"handoff_to_agent_id": "string",
"instructions": "string",
"tools_added": [
"string"
],
"agent": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string"
},
"llm_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"stt_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"tts_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"vad_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
}
}
],
"audio_url": "string",
"audio_url_expires_at": "2019-08-24T14:15:22Z",
"agent_audio_url": "string",
"user_raw_audio_url": "string",
"user_cleaned_audio_url": "string",
"synthesized_audio_url": "string",
"synthesized_chat_history": [
{
"role": "System",
"content": "string",
"kind": "Message",
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"interrupted": true,
"metrics": {
"started_speaking_at": "2019-08-24T14:15:22Z",
"stopped_speaking_at": "2019-08-24T14:15:22Z",
"transcription_delay": 0,
"end_of_turn_delay": 0,
"on_user_turn_completed_delay": 0,
"llm_node_ttft": 0,
"tts_node_ttfb": 0,
"e2e_latency": 0,
"transcript_confidence": 0,
"preemptive_used": true,
"preemptive_started_at": "2019-08-24T14:15:22Z",
"preemptive_lead_time": 0,
"llm_ttft": 0,
"llm_duration": 0,
"llm_tokens_completion": 0,
"llm_tokens_prompt": 0,
"llm_tps": 0
},
"tool_name": "string",
"tool_call_id": "string",
"tool_arguments_json": "string",
"tool_output": "string",
"tool_is_error": true,
"handoff_to_agent_id": "string",
"instructions": "string",
"tools_added": [
"string"
],
"agent": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string"
},
"llm_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"stt_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"tts_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
},
"vad_version": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"model": "string",
"gateway": "string",
"version": "string"
}
}
],
"agent_joined_at": "2019-08-24T14:15:22Z",
"recording_started_at": "2019-08-24T14:15:22Z",
"campaign_item_id": "78a8e446-a45f-4f73-8757-0093137dd224",
"campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904",
"campaign_name": "string",
"url_parameters": {
"property1": "string",
"property2": "string"
},
"variables": [
{
"name": "string",
"value": null
}
]
}
],
"next_cursor": "string"
}Update a secret (name and/or value) PUT
Previous Page
Invite a live operator into an ongoing conversation — transfer to a human (SKN-308). Called by the worker once the agent decided to transfer. Does NOT wait for the operator to answer — it returns as soon as the provider accepted the request. The worker sees the pickup itself: the participant shows up in the very room it sits in, carrying the role attribute. Failure to reach the operator is reported by the backend through room metadata, because "the participant never arrived" has nothing to observe. POST
Next Page